import java.rmi.*;
import java.rmi.server.*;

public class HelloServer {

    public static void main(String[] args) {
        try {
            System.out.println("### Binding Hello");
			HelloImpl exportedObj = new HelloImpl();
	        String registryUrl = "rmi://localhost/Hello";
            Naming.rebind(registryUrl, exportedObj);
            System.out.println("### Hello bound");
        } catch (Exception e) {
            System.err.println("### HelloServer exception: " +
			       e.getMessage());
            // e.printStackTrace();
        }
    }

}


