import java.rmi.*;

public class HelloClient {
    public static void main(String args[]) {
        try {
	        if (System.getSecurityManager() == null) {
	            System.out.println("### Starting Security Manager");
	            System.setSecurityManager(new RMISecurityManager());
	        }
	        String registryUrl = "rmi://localhost/Hello";
            HelloInterface hello = (HelloInterface) Naming.lookup(registryUrl);
            System.out.println("### Lookup complete");
            String message = hello.sayHello("Luca");
            System.out.println("### HelloClient: " + message);
        } catch (Exception e) {
            System.err.println("### HelloClient exception: " +
                               e.getMessage());
            // e.printStackTrace();
        }
    }
}

