import java.rmi.*;
import java.rmi.server.*;

public class SessionCounterServer {

    public static void main(String[] args) {
        try {
            System.out.println("### Creating and binding SessionCounterFactory");
            SessionCounterFactoryImpl factory = new SessionCounterFactoryImpl();
	        String registryUrl = "rmi://localhost/SessionCounterFactory";
            Naming.rebind(registryUrl, factory);
            System.out.println("### SessionCounterFactory bound");
        } catch (Exception e) {
            System.err.println("### SessionCounterServer exception: " +
			       e.getMessage());
            // e.printStackTrace();
        }
    }

}


